Update the current user
curl --request POST \
--url https://aquila.attaxr.com/api/auth/update-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
image: '<string>',
username: '<string>',
displayUsername: '<string>'
})
};
fetch('https://aquila.attaxr.com/api/auth/update-user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/update-user"
payload = {
"name": "<string>",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"emailVerified": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"role": "<string>",
"banned": false,
"banReason": "<string>",
"banExpires": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Auth
Update the current user
Update the current user
POST
/
api
/
auth
/
update-user
Update the current user
curl --request POST \
--url https://aquila.attaxr.com/api/auth/update-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
image: '<string>',
username: '<string>',
displayUsername: '<string>'
})
};
fetch('https://aquila.attaxr.com/api/auth/update-user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/update-user"
payload = {
"name": "<string>",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"emailVerified": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"role": "<string>",
"banned": false,
"banReason": "<string>",
"banExpires": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}
